<?php
class Oficina extends AppObjeto {
	
	//Propiedades
	protected $codigo;
	protected $nombre;
	protected $poblacion;
	protected $propietario;
	
			
		/* para conectar con bd */
	protected static $_aliasTabla = 'of';
	protected static $_nombreTabla = 'OFICINAS';
	protected static $_campoPK = 'CODIGO';
	
	
	// InitMetaDatos
	
	protected static function initMetaDatos(){
		parent::initMetaDatos();
		
		self::addPropiedadBD('of','CODIGO','codigo', self::META_VARCHAR);
		self::addPropiedadBD('of', 'NOMBRE', 'nombre', self::META_VARCHAR);
		self::addPropiedadBD('of', 'POBLACION', 'poblacion', self::META_VARCHAR);
		self::addPropiedadBD('of', 'PROPIE_OFI', 'propietario', self::META_VARCHAR);
	}

	// Métodos
	
	public static function loadComboPorPropietario($codigoPropietario){
		$select = self::selectObjeto();
		$select->where('PROPIE_OFI = ?',$codigoPropietario);
		$res = self::selectExecute($select)->getDatos();		
		$salida = array();
		foreach ($res as $elemento){
			$salida[$elemento['codigo']] =$elemento['nombre'].' ('.$elemento['poblacion'].')';
		}
		return $salida;
		
	}
	
	
	
	// Get y Set
	
}